Internal site. Jolli authentication required to view.
Skip to Content
API ReferenceInput ConnectorsGET /v0/pipelines/{pipeline_name}/completion_status

Check Completion Status

GET/v0/pipelines/{pipeline_name}/completion_statusInput Connectors

Try it

GET/v0/pipelines/{pipeline_name}/completion_status
Authentication
Parameters

Check the status of a completion token returned by the /ingress or /completion_token endpoint.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name

Query parameters

NameTypeRequiredDescription
tokenstringYesCompletion token returned by the '/ingress' or '/completion_status' endpoint.

Response

200The pipeline has finished processing inputs associated with the provided completion token.application/json
  • object
    Response to a completion token status request.
    • statusstringrequired
      Completion token status returned by the `/completion_status` endpoint.
    • stepinteger (int64)
      If all of the data associated with the token has been processed through the pipeline, this is the final step that includes at least one record. When the pipeline's `total_completed_steps` reaches this value, the token has been completed. This is `None` before the data associated with the token has been processed through the pipeline.
202The pipeline is still processing inputs associated with the provided completion token.application/json
  • object
    Response to a completion token status request.
    • statusstringrequired
      Completion token status returned by the `/completion_status` endpoint.
    • stepinteger (int64)
      If all of the data associated with the token has been processed through the pipeline, this is the final step that includes at least one record. When the pipeline's `total_completed_steps` reaches this value, the token has been completed. This is `None` before the data associated with the token has been processed through the pipeline.
400An invalid completion token was providedapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
404Pipeline with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
410Completion token was created by a previous incarnation of the pipeline and is not valid for the current incarnation. This indicates that the pipeline was suspended and resumed from a checkpoint or restarted after a failure.application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
503application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X GET 'https://api.example.com/v0/pipelines/{pipeline_name}/completion_status?token=<token>' \ -H 'Authorization: Bearer YOUR_TOKEN'
Response
{ "message": "Unknown pipeline name 'non-existent-pipeline'", "error_code": "UnknownPipelineName", "details": { "pipeline_name": "non-existent-pipeline" } }